comm(1)

NAME
comm - Compare two sorted files line by line.

When FILE1 or FILE2 (not both) is -, read standard input.

With no options, produce three-column output. Column one contains lines unique to FILE1, column two contains lines unique to FILE2, and column three contains lines common to both files.

SYNOPSIS
comm [-1 ] [-2 ] [-3 ] [--output-delimiter] [-z|--zero-terminated] [--total] [--check-order] [--nocheck-order] [-h|--help] [-V|--version] <FILE1> <FILE2>

DESCRIPTION
Compare two sorted files line by line.

When FILE1 or FILE2 (not both) is -, read standard input.

With no options, produce three-column output. Column one contains lines unique to FILE1, column two contains lines unique to FILE2, and column three contains lines common to both files.

OPTIONS

-1  suppress column 1 (lines unique to FILE1)

-2  suppress column 2 (lines unique to FILE2)

-3  suppress column 3 (lines that appear in both files)

--output-delimiter=STR
    separate columns with STR

-z, --zero-terminated
    line delimiter is NUL, not newline

--total
    output a summary

--check-order
    check that the input is correctly sorted, even if all input lines are pairable

--nocheck-order
    do not check that the input is correctly sorted

-h, --help
    Print help

-V, --version
    Print version

<FILE1>

<FILE2>

VERSION
v0.0.30